Description

Timestamps have been shown to be generated inconsistently. We should catalog what drivers are used in front-ends so that we can
discover what is being done well and what can be done better.

Jason St. John has been working with GMPS, BOOST1, MI3, and MECAR to show this so a first pass is to look at similar MOOC
front-ends.

History

#1 - 03/30/2020 02:45 PM - Beau Harrison

| wrote a Python script that takes a list of nodes from a file and telnets into each node and executes moduleShow and then parses the output with the
regex (sld)|(pmctrig)|(iptrig)|(vucdtrig).

There are three outside cases; unknown, busy, and timed out. Unknown means that everything was successful but the regex didn't match. Busy
means there was an EOFError which is likely due to a connection refused. Timed out means that there was no output with 2 seconds.

The acl | used to create the node list is acl node_info/operational/mooc.

AP1001 unknown
AP1002 unknown
AP5001 unknown
BADMAB pmctrig
BAPS vucdtrig
BCOLL iptrig
BGMPS iptrig
BLLRF1 busy
BLLRF2 unknown
BLLRFD unknown
BLLRFO unknown
BLONGD unknown
BLREFDS timed out
BOOST1 timed out
BOOST2 sld
BOOSTR sld
BOOVAC unknown
BOOWIR iptrig
BST1 iptrig
CMLLRF unknown
CMTIL1 unknown
CMTIL2 unknown
CMTIL3 unknown
CUBO1l unknown
DBPM10 unknown
DBPM20 unknown
DBPM30 unknown
DBPM40 unknown
DBPM50 unknown
DBPM60 unknown
ESBHRM unknown
HINSGP unknown
HINSMC iptrig
HNSPLC unknown
IBPM10 unknown
IBPM20 unknown
IBPM30 unknown
IBPM40 unknown
IBPM50 unknown
IBPM6N unknown
IBPM6S unknown
IBPM8A busy
IBPM8B unknown
IBPM8C pmctrig
IBPM8D pmctrig
IBPM8E pmctrig
IBPMAL pmctrig
IDAMP unknown
IPMCN2 iptrig
IPMCNT iptrig
LEBIT1 unknown
LIP741 timed out
LIP742 timed out
LIP743 timed out
LIP744 timed out
LIP745 timed out
M10TOR pmctrig
M40TOR unknown
MBLM10 unknown
MBLM20 unknown
MBLM30 unknown
MBLM40 unknown
MBLM50 unknown
MBLM6N unknown
MBLM6S unknown
MBLMP1 pmctrig
MBPM10 pmctrig
MBPM12 pmctrig
MC1HRM unknown
MCRO1 unknown
MCR02 pmctrig
MCRO3 unknown
MCRBCC unknown
MEBIT1 unknown
MECAR unknown
MESON sld

MI1 sld

MI10 iptrig
MI14 unknown
MI14TO timed out
MI2 sld

MI20 iptrig
MI3 sld

MI30 iptrig
MI30TO timed out
MI39 unknown
MI4 sld

MI40 iptrig
MI50 unknown
MI52 unknown
MI52SP iptrig
MI6ON unknown
MI60NB unknown
MI60S unknown
MI60S2 unknown
MI60S3 unknown
MI60SB unknown
MI62 unknown
MI62B unknown
MI65B unknown
MI8CL1 iptrig
MIBEAM pmctrig
MILLRF unknown
MITHSR unknown
MRF unknown
MS3CL1 iptrig
MS4 unknown
MSEPTA iptrig
MT1 iptrig

MT2 iptrig
MU3HRM unknown
MUONFE sld
MWEF23 unknown
MWF2P3 unknown
MWIREO unknown
MWIREl sld
MWIRE2 unknown
MWIRE3
MWMB10
MWMB12
MWMI14
MWMI30

unknown
unknown
unknown
unknown
unknown

MWMS1 unknown
MWMTA sld
MWT52 iptrig

N60TOR
NBPB65
NBPM65
NBPM6N
NBPM6S
NBPMOV

pmctrig
unknown
pmctrig
pmctrig
pmctrig
pmctrig

NEUTR sld
NMAAT unknown

NMGLRF
NMGUNI

unknown
unknown

NMLA unknown
NMLB unknown

NMLBP2
NMLBP3
NMLGP1
NMLGP2
NMLGP 3
NMLHEC
NMLHOM
NMLLD1
NMLLEC
NMLLRF
NMLRFI
NMLTOR
NMLTR2
NMLTR3
NMLTRG
NMLVAC
NMLVM1
NOVASC

unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
timed out
unknown

NUMI sld

NUMI65
NUMIHN
NWAVAC
OTISVW
PBCOOL

unknown
iptrig

unknown
unknown
unknown

PBEAM pmctrig
PXINT unknown

PXMC1

PXMC2

OXRMI

R60CSC
RBPM10
RBPM20
RBPM30
RBPM40
RBPM50
RBPM60
RDLOSS
RRCOLL
RRLLNV
RRXDMP
RTPM10
RTPM20
RTPM30
RTPM40
RTPM50
RTPM60
S60TOR
SBPMF'1
SBPMF3
SRFMPS

iptrig
iptrig
sld

iptrig
unknown
unknown
unknown
unknown
unknown
unknown
unknown
timed out
unknown
pmctrig
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown
unknown

STATE timed out

STATEA

pmctrig

SWIC unknown
SWYD sld

SYBPMP

timed out
TBLMF1 pmctrig
TBLMF2 pmctrig
TBLMF3 pmctrig
TBLMF4 pmctrig
TCLK sld

TEVA sld

TEVAC unknown
TEVF unknown
TLG unknown
UBLM10 pmctrig
UBLM30 pmctrig
UBLM3A pmctrig
UBLM3B pmctrig
UBLM50 pmctrig
UBLMM1 pmctrig
UBLMM4 pmctrig
UCDA unknown
UCDB unknown
UCDHIN iptrig
UCDNML busy
UPMA30 pmctrig
UPMF1 pmctrig
UPMF23 pmctrig
UPMF27 pmctrig
UPMM60 pmctrig
XTBPM1 unknown

#2 - 03/30/2020 02:51 PM - Beau Harrison

The nodes in question:

BGMPS iptrig
BOOSTR sld
MECAR unknown
MI3 sld

#3 - 03/30/2020 02:53 PM - Beau Harrison

Maybe my script isn't waiting long enough for output?

| looked at MECAR manually and found pmctrig.

#4 - 07/03/2020 10:51 AM - Beau Harrison

- Status changed from New to Closed
